
var bSwitchViews = false;
				
var bStartTableView = false
				
var currModelId = "ID42735";
							
var currModelVersion = "";
						
var currModelName = "Test";
			
var currModelType = "IT Service Process";
			 
var currMailAddress = "";
			
var bModInfoWindow = false;
				
var bPrintOne = false;				
				
var bPrintTwo = false;
				
var modInfo = new Array();
		
var overviewimage = new Image();
			
var modelimage68 = new Image();
			
var modelimage45 = new Image();
			
var modelimage90 = new Image();
			
if (!parent.header)
{
	var strPath = top.window.location.href;
	top.location.href= strPath.substring(0, strPath.lastIndexOf("/") + 1) + "../index.html?id=" + currModelId;
}
else
{
	var z = top.header.iZoom;
	checkLoadTableView();
}

function checkLoadTableView()
{
  if (bStartTableView && !parent.header.bModelLoaded)
  {
    top.model.location.href = "../" + currModelId + "/" + currModelId + "t.html"
  }
  else
  {
		overviewimage.src = "../overview/ID42735.png";
			
		if (z == 68) { modelimage68.src = "../images/ado340.png"; }
		else { window.setTimeout("eval(\"modelimage68.src = '../images/ado340.png'\");", 1000); }
			
		if (z == 45) { modelimage45.src = "../images/ado341.png"; }
		else { window.setTimeout("eval(\"modelimage45.src = '../images/ado341.png'\");", 1000); }
			
		if (z == 90) { modelimage90.src = "../images/ado342.png"; }
		else { window.setTimeout("eval(\"modelimage90.src = '../images/ado342.png'\");", 1000); }
			
	}
	parent.header.bModelLoaded = true;
}

function actualizeImageArea()
{
	prepareImageMap();
		
	createImageArea(19.74, 8.299999999999999, 22.26, 11.08, "ID63951", "ID42735", "ID63951", "", false);
					
	createImageArea(0.19999999999999996, 8.299999999999999, 2.8, 11.08, "ID63947", "ID42735", "ID63947", "", false);
					
	createImageArea(10, 8.3, 12, 9.2, "ID63940", "ID42735", "ID63940", "", false);
					
	createImageArea(15.499999999999998, 7.97, 19.659999999999997, 9.69, "ID63936", "ID42735", "ID63936", "", false);
					
	createImageArea(5.5, 7.97, 9.82, 9.69, "ID63932", "ID42735", "ID63932", "", false);
					
	createImageArea(16.03, 16.3, 17.97, 19.94, "ID63635", "ID42735", "ID63635", "", false);
					
	createImageArea(10.495, 15.969999999999999, 11.885, 17.689999999999998, "ID63631", "ID42735", "ID63631", "", false);
					
	createImageArea(31.500000000000004, 11.47, 34.900000000000006, 13.19, "ID63627", "ID42735", "ID63627", "", false);
					
	createImageArea(36.03, 11.795, 37.97, 15.005, "ID63623", "ID42735", "ID63623", "", false);
					
	createImageArea(55.8, 11.8, 57.2, 13.2, "ID42787", "ID42735", "ID42787", "", false);
					
	createImageArea(52.699999999999996, 11.8, 53.4, 13.2, "ID42782", "ID42735", "ID42782", "", false);
					
	createImageArea(48.24, 4.3, 50.76, 6.22, "ID42777", "ID42735", "ID42777", "", false);
					
	createImageArea(42.105, 4.220000000000001, 46.775, 7.02, "ID42772", "ID42735", "ID42772", "", false);
					
	createImageArea(30.604999999999997, 15.72, 35.275, 18.52, "ID42767", "ID42735", "ID42767", "", false);
					
	createImageArea(36.37, 4.295, 38.63, 6.645, "ID42764", "ID42735", "ID42764", "", false);
					
	createImageArea(30.604999999999997, 4.220000000000001, 35.275, 7.02, "ID42760", "ID42735", "ID42760", "", false);
					
	createImageArea(26.599999999999998, 11.8, 27.3, 13.2, "ID42756", "ID42735", "ID42756", "", false);
					
	createImageArea(21.105, 11.715, 25.775000000000002, 14.864999999999998, "ID42752", "ID42735", "ID42752", "", false);
					
	createImageArea(15.605, 11.719999999999999, 20.275000000000002, 14.52, "ID42748", "ID42735", "ID42748", "", false);
					
	createImageArea(9.605, 11.719999999999999, 14.274999999999999, 14.52, "ID42744", "ID42735", "ID42744", "", false);
					
	createImageArea(5.8, 11.8, 7.2, 13.719999999999999, "ID42741", "ID42735", "ID42741", "", false);
					
	imageMapsReady();
}
			
			ID42741D='';				
				ID42744D='<span class=\"mov_desc\">The purpose of this activity is to identify and describe the testing that will be implemented and executed. This is accomplished by generating a test plan that contains the requirements for test and test strategies.</span>';				
				ID42748D='<span class=\"mov_desc\">The purpose is to identify, describe, and generate the test model and its reported artifacts. Test design is done to ensure that the test software meets its requirements and is structured and organized well.</span>';				
				ID42752D='<span class=\"mov_desc\">The purpose is to implement the test procedures that were defined in the Design Test section. The creation of test procedures usually is done in the context of a test automation tool or programming environment.</span>';				
				ID42756D='';				
				ID42760D='<span class=\"mov_desc\">The purpose of the Integration Test Stage is to ensure that, during assembly, the system\'s components collaborate as intended, as well as that the increment has the right behavior.</span>';				
				ID42764D='';				
				ID42767D='<span class=\"mov_desc\">The purpose of evaluating a test is to deliver and assess the quantifiable measures of testing to determine the quality of the target-of-test and the quality of the test process. This is accomplished by reviewing and evaluating the test results, identifying and logging change requests, and calculating the key measures of test.</span>';				
				ID42772D='<span class=\"mov_desc\">The purpose of the System Test Stage is to ensure that the complete system functions as intended.</span>';				
				ID42777D='';				
				ID42782D='';				
				ID42787D='';				
				ID63623D='';				
				ID63635D='';				
				ID63947D='';				
				ID63951D='';				
				ID63940D='';				
				ID63627D='';				
				ID63631D='';				
				ID63932D='';				
				ID63936D='';				
				
			
function readCM()
{
			ID42741CM = new instCM("Start");
ID42744CM = new instCM("Plan Test");
ID42744CM.addAttribute("Responsible", "obj");
ID42744CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42744CM.addAttribute("Accountable", "obj");
ID42744CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42744CM.addAttribute("Input data", "obj");
ID42744CM.addLink("Input data", "javascript:openWindow(\"ID63109\", \"ID63928\");", "Test plan req.", "small_date.png");
ID42744CM.addAttribute("Output data", "obj");
ID42744CM.addLink("Output data", "javascript:openWindow(\"ID63109\", \"ID63642\");", "Test plan", "small_date.png");
ID42748CM = new instCM("Design Test");
ID42748CM.addAttribute("Responsible", "obj");
ID42748CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42748CM.addAttribute("Accountable", "obj");
ID42748CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42752CM = new instCM("Implement Test");
ID42752CM.addAttribute("Responsible", "obj");
ID42752CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42752CM.addAttribute("Accountable", "obj");
ID42752CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42752CM.addAttribute("Consulted", "obj");
ID42752CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42904\");", "Designer", "small_role.png");
ID42752CM.addLink("Consulted", "javascript:openWindow(\"ID42867\", \"ID42920\");", "Implementer", "small_role.png");
ID42756CM = new instCM("P1");
ID42760CM = new instCM("Execute test in integration test stage");
ID42760CM.addAttribute("Responsible", "obj");
ID42760CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42932\");", "Tester", "small_role.png");
ID42760CM.addAttribute("Accountable", "obj");
ID42760CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42764CM = new instCM("Integration test ok?");
ID42767CM = new instCM("Evaluate test");
ID42767CM.addAttribute("Responsible", "obj");
ID42767CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42767CM.addAttribute("Accountable", "obj");
ID42767CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42767CM.addAttribute("Output data", "obj");
ID42767CM.addLink("Output data", "javascript:openWindow(\"ID63109\", \"ID63646\");", "Test evaluation results", "small_date.png");
ID42772CM = new instCM("Execute test in system test stage");
ID42772CM.addAttribute("Responsible", "obj");
ID42772CM.addLink("Responsible", "javascript:openWindow(\"ID42867\", \"ID42932\");", "Tester", "small_role.png");
ID42772CM.addAttribute("Accountable", "obj");
ID42772CM.addLink("Accountable", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID42777CM = new instCM("System test ok?");
ID42782CM = new instCM("M1");
ID42787CM = new instCM("End Test");
ID42787CM.addAttribute("Following Process", "mod");
ID42787CM.addLink("Following Process", "../ID42792/ID42792.html", "Deployment", "mt_itsp.gif");
ID43026CM = new instCM("Tester");
ID43026CM.addAttribute("Reference", "obj");
ID43026CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42932\");", "Tester", "small_role.png");
ID43033CM = new instCM("Test Designer");
ID43033CM.addAttribute("Reference", "obj");
ID43033CM.addLink("Reference", "javascript:openWindow(\"ID42867\", \"ID42929\");", "Test Designer", "small_role.png");
ID63623CM = new instCM("Test - RM MaR I1");
ID63623CM.addAttribute("Referenced subprocess", "mod");
ID63623CM.addLink("Referenced subprocess", "../ID62442/ID62442.html", "Monitor and Review - Application Development", "mt_itsp.gif");
ID63623CM.addAttribute("Referenced Interface Process", "obj");
ID63623CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62442\", \"ID63668\");", "MoR - App Dev Test I1", "small_ipro.png");
ID63635CM = new instCM("Test - RM DoSaF I1");
ID63635CM.addAttribute("Referenced subprocess", "mod");
ID63635CM.addLink("Referenced subprocess", "../ID62188/ID62188.html", "Definition of Scope and Framework - Application Development", "mt_itsp.gif");
ID63635CM.addAttribute("Referenced Interface Process", "obj");
ID63635CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62188\", \"ID63658\");", "DoSaF - App Dev Test I1", "small_ipro.png");
ID63947CM = new instCM("Test - RM RA I1");
ID63947CM.addAttribute("Referenced subprocess", "mod");
ID63947CM.addLink("Referenced subprocess", "../ID62390/ID62390.html", "Risk Acceptance - Application Development", "mt_itsp.gif");
ID63947CM.addAttribute("Referenced Interface Process", "obj");
ID63947CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62390\", \"ID63963\");", "RA - App Dev Test I1", "small_ipro.png");
ID63951CM = new instCM("Test - RM RT I1");
ID63951CM.addAttribute("Referenced subprocess", "mod");
ID63951CM.addLink("Referenced subprocess", "../ID62307/ID62307.html", "Risk Treatment - Application Development", "mt_itsp.gif");
ID63951CM.addAttribute("Referenced Interface Process", "obj");
ID63951CM.addLink("Referenced Interface Process", "javascript:openWindow(\"ID62307\", \"ID63968\");", "RT - App Dev Test I1", "small_ipro.png");
ID63940CM = new instCM("Plan Test DP");
ID63627CM = new instCM("Test1");
ID63627CM.addAttribute("Data", "obj");
ID63627CM.addLink("Data", "javascript:openWindow(\"ID63109\", \"ID63646\");", "Test evaluation results", "small_date.png");
ID63631CM = new instCM("Test2");
ID63631CM.addAttribute("Data", "obj");
ID63631CM.addLink("Data", "javascript:openWindow(\"ID63109\", \"ID63642\");", "Test plan", "small_date.png");
ID63932CM = new instCM("Test3");
ID63932CM.addAttribute("Data", "obj");
ID63932CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17328\");", "D28 Risk treatment decision", "small_date.png");
ID63936CM = new instCM("Test4");
ID63936CM.addAttribute("Data", "obj");
ID63936CM.addLink("Data", "javascript:openWindow(\"ID17209\", \"ID17358\");", "D77 Approved Activity Lists", "small_date.png");
ID42747CM = new instCM("");
ID42751CM = new instCM("");
ID42755CM = new instCM("");
ID42759CM = new instCM("");
ID42763CM = new instCM("");
ID42770CM = new instCM("");
ID42771CM = new instCM("");
ID42775CM = new instCM("");
ID42776CM = new instCM("");
ID42780CM = new instCM("");
ID42781CM = new instCM("");
ID42785CM = new instCM("");
ID42786CM = new instCM("");
ID42790CM = new instCM("");
ID43029CM = new instCM("");
ID43030CM = new instCM("");
ID43031CM = new instCM("");
ID43032CM = new instCM("");
ID43036CM = new instCM("");
ID43037CM = new instCM("");
ID43038CM = new instCM("");
ID43039CM = new instCM("");
ID43040CM = new instCM("");
ID43041CM = new instCM("");
ID43042CM = new instCM("");
ID43043CM = new instCM("");
ID63626CM = new instCM("");
ID63630CM = new instCM("");
ID63634CM = new instCM("");
ID63638CM = new instCM("");
ID63650CM = new instCM("");
ID63651CM = new instCM("");
ID63652CM = new instCM("");
ID63653CM = new instCM("");
ID63935CM = new instCM("");
ID63939CM = new instCM("");
ID63943CM = new instCM("");
ID63944CM = new instCM("");
ID63945CM = new instCM("");
ID63946CM = new instCM("");
ID63950CM = new instCM("");
ID63954CM = new instCM("");
ID63961CM = new instCM("");
ID63962CM = new instCM("");
}
		